Bug 16468 - Remove last "onclick" from the stage MARC records template
Summary: Remove last "onclick" from the stage MARC records template
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/tools/stage-marc-import.pl
Keywords:
Depends on: 16337
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-06 16:14 UTC by Owen Leonard
Modified: 2017-06-14 22:13 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16468 - Remove last "onclick" from the stage MARC records template (2.95 KB, patch)
2016-05-06 16:26 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16468 - Remove last "onclick" from the stage MARC records template (2.96 KB, patch)
2016-06-03 14:03 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 16468 - Remove last "onclick" from the stage MARC records template (3.03 KB, patch)
2016-06-21 13:29 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-05-06 16:14:27 UTC
There is one more instance of "onclick" in stage-marc-import.tt which I didn't catch in Bug 16337 somehow. It can be removed in favor of defining events in the JavaScript.
Comment 1 Owen Leonard 2016-05-06 16:26:55 UTC Comment hidden (obsolete)
Comment 2 Claire Gravely 2016-06-03 14:03:13 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-06-21 13:29:40 UTC
Created attachment 52650 [details] [review]
Bug 16468 - Remove last "onclick" from the stage MARC records template

This patch reviseds the stage MARC records template, removing
one more "onclick" attribute from the markup and defining that event in
the script.

This patch also corrects a missing quotation mark in the HTML. I have
done some reindentation to that section.

To test, apply the patch and go to Tools -> Stage MARC records for
import.

- Select a MARC file for import.
- Click the "Upload file" button.
- Click the "Stage for import" button. Your import should be correctly
  staged.

Signed-off-by: Claire Gravely <c.gravely@arts.ac.uk>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-06-24 13:38:29 UTC
Pushed to master for 16.11, thanks Owen!
Comment 5 Frédéric Demians 2016-08-01 11:54:35 UTC
Pushed in 16.05. Will be in 16.05.02.